## impacket 0.9.20

=== requirements.txt ===
future
six
pyasn1>=0.2.3
pycryptodomex
pyOpenSSL>=0.16.2
ldap3==2.5.1
ldapdomaindump>=0.9.0
flask>=1.0

## impacket 0.9.10

=== debian/changelog ===
impacket (0.9.10-1) unstable; urgency=low

  [ Arnaud Fontaine ]
  * New upstream release. Closes: #703773.
    + Merge python-impacket-doc into python-impacket as doc is not included
      in upstream source anymore.
    + Refresh debian/patches/*.
    + debian/control: add Depends against python-crypto.
  * debian/control:
    + Bump Standards-Version to 3.9.4.
      - Add debian/README.source.
  * Use dh_python2 rather than deprecated pysupport:
    + debian/control:
      - Bump cdbs version to 0.4.90~.
      - Replace python-dev by python-all (all) and bump version to 2.6.6-3~.
      - Drop Build-Depends against python-support.
    + debian/rules: remove DEB_PYTHON_SYSTEM line.
    + Remove debian/pyversions and debian/pycompat.
  * Use 3.0 (quilt) format.
    + debian/rules: no need to use patchsys-quilt.mk anymore.
    + debian/control: remove Build-Depends on quilt.
  * Update copyright years.
  * New upstream URL.
    + Update URL in debian/watch and debian/copyright.
  
  [ Sandro Tosi ]
  * debian/control:
    + Uniforming Vcs-Browser field.
    + Switch Vcs-Browser field to viewsvn.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Arnaud Fontaine <arnau@debian.org>  Mon, 27 May 2013 18:02:01 +0900

impacket (0.9.6.0-3) unstable; urgency=low

  [ Arnaud Fontaine ]
  * New email address.
  * Remove useless debian/control.in.
  * debian/control:
    + Update Standards-Version to 3.7.3. No changes needed.
  * debian/copyright:
    + Add package license.
  
  [ Piotr Ożarowski ]
  * debian/control:
    + Added Vcs-Svn, Vcs-Browser and Homepage fields.

  [ Jan Michael Alonzo ]
  * Fix watch file and updated it to version=3. Closes: #450377.

 -- Arnaud Fontaine <arnau@debian.org>  Sun, 09 Dec 2007 23:36:25 +0000

impacket (0.9.6.0-2) unstable; urgency=low

  * debian/control.in:
    + Add missing Recommends for python-impacket-doc against python-pcapy.
      Closes: #389657.

 -- Arnaud Fontaine <arnaud@andesi.org>  Wed, 27 Sep 2006 08:33:20 +0200

impacket (0.9.6.0-1) unstable; urgency=low

  * New upstream release.
    + Add debian/python-impacket-doc.docs for doc/.
  * debian/control.in:
    + Update Standards-Version to 3.7.2. No changes needed.
  * New Python policy changes. Closes: #373444.
    + debian/compat:
      - Update debhelper compatibility to 5.
    + debian/rules:
      - Add DEB_PYTHON_SYSTEM=pysupport.
    + debian/control.in
      - Clean Build-Depends and Depends, cdbs handles that 
        automatically now.
      - XB-Python-Version and Provides for binary package.
    + debian/postinst && debian/prerm:
      - Remove "hand made" python-support stuff, cdbs does this.

 -- Arnaud Fontaine <arnaud@andesi.org>  Tue, 20 Jun 2006 00:20:32 +0200

impacket (0.9.5.2-2) unstable; urgency=low

  * Use python-support and then remove python2.3-impacket and
    python2.4-impacket packages.
  * Move all Build-Depends to Build-Depends-Indep according 
    to the debian policy.
  * Update Standards-Version to 3.7.0 in debian/control*.

 -- Arnaud Fontaine <arnaud@andesi.org>  Tue, 18 Apr 2006 19:45:47 +0200

impacket (0.9.5.2-1) unstable; urgency=low

  * Initial release. Closes: #361966.

 -- Arnaud Fontaine <arnaud@andesi.org>  Tue, 11 Apr 2006 15:51:41 +0200

=== debian/control ===
Source: impacket
Section: python
Priority: optional
Maintainer: Arnaud Fontaine <arnau@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5.0.37.2),
	       cdbs (>= 0.4.90~),
	       python-all (>= 2.6.6-3~)
Standards-Version: 3.9.4
X-Python-Version: >= 2.3
Homepage: http://code.google.com/p/impacket/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/impacket/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/impacket/trunk/

Package: python-impacket
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-crypto
Recommends: python-pcapy
Description: Python module to easily build and dissect network protocols
 Impacket  is a  collection  of Python  classes  focused on  providing
 access  to network  packets.   Impacket allows  Python developers  to
 craft and decode network packets in simple and consistent manner.  It
 includes support for low-level protocols  such as IP, UDP and TCP, as
 well as higher-level protocols such as NMB and SMB.
 .
 Impacket is highly  effective when used in conjunction  with a packet
 capture utility or package such as Pcapy.  Packets can be constructed
 From  scratch, as  well as  parsed from  raw data.   Furthermore, the
 object  oriented API  makes  it  simple to  work  with deep  protocol
 hierarchies.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

# Don't compress .py file
DEB_COMPRESS_EXCLUDE := .py

=== debian/watch ===
version=3
http://code.google.com/p/impacket/downloads/list?can=1 \
  .*/impacket-(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## impacket 0.9.12

=== debian/changelog ===
impacket (0.9.12-1) unstable; urgency=medium

  * New upstream release. Closes: #703784.
    + d/patches: refreshed.
  * d/watch: upstream source location has changed.
  * d/control: bump Standards-Version to 3.9.6. No changes needed.

 -- Arnaud Fontaine <arnau@debian.org>  Thu, 16 Oct 2014 11:57:09 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 5.0.37.2),
 	       cdbs (>= 0.4.90~),
 	       python-all (>= 2.6.6-3~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.3
 Homepage: http://code.google.com/p/impacket/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/impacket/trunk/
@@ -14,7 +14,7 @@
 
 Package: python-impacket
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-crypto
+Depends: ${python:Depends}, ${misc:Depends}, python-crypto (>= 2.6)
 Recommends: python-pcapy
 Description: Python module to easily build and dissect network protocols
  Impacket  is a  collection  of Python  classes  focused on  providing

=== debian/watch ===
version=3
opts="dversionmangle=s/\+.*//" \
  http://pypi.python.org/packages/source/i/impacket/impacket-([\d.]*)\.tar\.gz

## impacket 0.9.15

=== debian/changelog ===
impacket (0.9.15-1) unstable; urgency=medium

  [ Arnaud Fontaine ]
  * New upstream release. Closes: #795480.
  * Import changes from Kali. Thanks to Raphaël Hertzog and Sophie Brun.

  [ Ondřej Nový ]
  * d/control: Fixed VCS URL (https).

 -- Arnaud Fontaine <arnau@debian.org>  Thu, 01 Dec 2016 15:40:01 +0900

impacket (0.9.15-0kali2) kali-dev; urgency=medium

  * Import new upstream release
  * Update the packaging to use debhelper 9
  * Add symlinks to have important examples in /usr/bin/: impacket-wmiexec,
    impacket-netview, impacket-rpcdump, impacket-secretsdump,
    impacket-samrdump (closes 3381).

 -- Sophie Brun <sophie@freexian.com>  Mon, 19 Sep 2016 15:46:31 +0200

impacket (0.9.13-0kali1) kali-dev; urgency=medium

  * New upstream release.
  * Add Depends on python-pyasn1 (>= 0.1.7).
  * Refresh 00_setup.patch.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 14 Aug 2015 13:53:42 +0200

impacket (0.9.12-1~0kali1) kali; urgency=medium

  * Import new version from debian

 -- Sophie Brun <sophie@freexian.com>  Mon, 04 May 2015 16:25:17 +0200

impacket (0.9.9.9-1kali0) kali; urgency=low

  * Imported new upstream version

 -- Devon Kearns <dookie@kali.org>  Sat, 09 Feb 2013 16:59:01 -0700

=== debian/control ===
Source: impacket
Section: python
Priority: optional
Maintainer: Arnaud Fontaine <arnau@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/impacket.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/impacket.git
Build-Depends: debhelper (>= 9),
               python-all,
               dh-python,
Standards-Version: 3.9.8
Homepage: https://github.com/CoreSecurity/impacket

Package: python-impacket
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Python module to easily build and dissect network protocols
 Impacket  is a  collection  of Python  classes  focused on  providing
 access  to network  packets.   Impacket allows  Python developers  to
 craft and decode network packets in simple and consistent manner.  It
 includes support for low-level protocols  such as IP, UDP and TCP, as
 well as higher-level protocols such as NMB and SMB.
 .
 Impacket is highly  effective when used in conjunction  with a packet
 capture utility or package such as Pcapy.  Packets can be constructed
 from  scratch, as  well as  parsed from  raw data.   Furthermore, the
 object  oriented API  makes  it  simple to  work  with deep  protocol
 hierarchies.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

%:
	dh $@ --with python2 --buildsystem=pybuild

# Don't compress .py file
override_dh_compress:
	dh_compress -X.py

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/impacket/impacket-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## impacket 0.9.20

=== debian/changelog ===
impacket (0.9.20-5) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #936730

 -- Sandro Tosi <morph@debian.org>  Sun, 05 Jan 2020 14:19:48 -0500

impacket (0.9.20-4) unstable; urgency=medium

  * Team upload.
  * Expand copyright file to cover more copyright notices (Closes: #942161)

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 20 Oct 2019 12:57:45 +0200

impacket (0.9.20-3) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Team upload.
  * Bump Standards-Version to 4.4.1.
  * Fix copyright file (problems discovered by lintian).

  [ Samuel Henrique ]
  * d/control: Remove build-dep on python3-ldap3 as the package doesn't exist

  [ Emmanuel Arias ]
  * Add entry to d/copyright

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 16 Oct 2019 14:37:18 +0200

impacket (0.9.20-2) unstable; urgency=medium

  [ Sophie Brun ]
  * Team upload.
  * Fix path to examples scripts: now in python 3 package

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 03 Oct 2019 16:25:27 +0200

impacket (0.9.20-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * New upstream version 0.9.20
  * Create package for python3
    - Update d/control file.
      - Add python3-all and python3-setuptools to Build-Depends field.
    - Update d/rules file.
  * Bump Standards-Version to 4.4.0
  * Bump debhelper-compat to 12
  * Add Build-Depends to debian/control file

  [ Sophie Brun ]
  * Override dh_auto_test for the moment
  * Update debian/script to use Python 3
  * Add Breaks and Replaces
  * Add a patch to avoid the installation of examples as scripts

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Raphaël Hertzog ]
  * Restore python-impacket for now, it still has reverse dependencies in
    Debian and in Kali.
  * Rename debian/{install,links,examples} to debian/python3-impacket.* so
    that they affect the content of python3-impacket.
  * Drop files installed in /usr/share/doc/impacket and install README.md
    in the correct documentation directory.

 -- Emmanuel Arias <emmanuelarias30@gmail.com>  Thu, 26 Sep 2019 10:30:03 -0300

impacket (0.9.19-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.

  [ Emmanuel Arias ]
  * New upstream version 0.9.19
  * Update d/rules:
    - Don't delete impackage.egg-info. This folder come from
      upstream.

 -- Emmanuel Arias <emmanuelarias30@gmail.com>  Fri, 03 May 2019 01:23:23 +0000

impacket (0.9.17-1) unstable; urgency=medium

  [Ondřej Nový]
  * Convert git repository from git-dpm to gbp layout

  [Emmanuel Arias]
  * New upstream
  * Update d/rules, add PYBUILD_NAME and DEB_BUILD_MAINT_OPTINOS
  * Update d/rules, add override_dh_auto_clean to remove *.egg-info
  * Remove not used patch

 -- Emmanuel Arias <emmanuelarias30@gmail.com>  Thu, 29 Nov 2018 21:52:10 -0300

impacket (0.9.15-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces

  [ Emmanuel Arias ]
  * d/control: Change Maintainer field for Debian Python Module Team
  * d/control: Change Uploaders field for me (Closes: #895785)
  * d/control: Update debhelper from 9 to 11
  * d/control: Update Standards-Version  to 4.1.4
  * d/control: Add autopkgtest-pkg-python to Testsuite
  * d/compat: Update from 9 to 11
  * d/copyright: Add me on copyright of debian field.

 -- Emmanuel Arias <emmanuelarias30@gmail.com>  Thu, 24 May 2018 06:45:13 -0300

=== debian/control ===
Source: impacket
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Emmanuel Arias <emmanuelarias30@gmail.com>
Section: python
Priority: optional
Vcs-Git: https://salsa.debian.org/python-team/modules/impacket.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/impacket
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-ldap,
               python3-openssl,
               python3-pycryptodome,
               python3-setuptools,
               python3-six,
Standards-Version: 4.4.1
Homepage: https://github.com/CoreSecurity/impacket
Testsuite: autopkgtest-pkg-python

Package: python3-impacket
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Breaks: python-impacket (<< 0.9.20)
Replaces: python-impacket (<< 0.9.20)
Description: Python3 module to easily build and dissect network protocols
 Impacket  is a  collection  of Python3  classes  focused on  providing
 access  to network  packets.   Impacket allows  Python3 developers  to
 craft and decode network packets in simple and consistent manner.  It
 includes support for low-level protocols  such as IP, UDP and TCP, as
 well as higher-level protocols such as NMB and SMB.
 .
 Impacket is highly  effective when used in conjunction  with a packet
 capture utility or package such as Pcapy.  Packets can be constructed
 from  scratch, as  well as  parsed from  raw data.   Furthermore, the
 object  oriented API  makes  it  simple to  work  with deep  protocol
 hierarchies.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# Common rules
export PYBUILD_NAME=impacket
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	# Drop upstream installed files
	rm -rf debian/python*-impacket/usr/share/doc/impacket

# Don't compress .py file
override_dh_compress:
	dh_compress -X.py

override_dh_auto_test:
	# don't run dh_auto_test: it finds no test but it fails because it
	# tries to import all modules, including the examples:
	# ldapdomaindump is not in Debian yet

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/impacket/impacket-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## impacket 0.9.21

=== requirements.txt ===
future
six
pyasn1>=0.2.3
pycryptodomex
pyOpenSSL>=0.16.2
ldap3>=2.5,!=2.5.2,!=2.5.0,!=2.6
ldapdomaindump>=0.9.0
flask>=1.0

=== debian/changelog ===
impacket (0.9.21-2) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Arias ]
  * d/control: Add python3-pkg-resources build dependency (Closes: #963020).
  * d/gbp.conf: Set debian/master as default branch.
  * d/salsa-ci.yml: enable salsa-ci.

  [ Raphaël Hertzog ]
  * Add explicit binary dependency on python3-pkg-resources until
    https://github.com/SecureAuthCorp/impacket/issues/885 is fixed
  * Drop python3-pkg-resources build dependency, it's implied by python3-setuptools

 -- Raphaël Hertzog <raphael@offensive-security.com>  Thu, 18 Jun 2020 09:34:01 +0200

impacket (0.9.21-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.9.21
  * Update debian/copyright
  * Refresh patches
  * Bump Standards-Version (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 09 Jun 2020 20:38:55 +0200

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,15 @@
                python3-pycryptodome,
                python3-setuptools,
                python3-six,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/CoreSecurity/impacket
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-impacket
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+# explicit dep on python3-pkg-resources until
+# https://github.com/SecureAuthCorp/impacket/issues/885 is fixed
+Depends: ${misc:Depends}, ${python3:Depends}, python3-pkg-resources
 Breaks: python-impacket (<< 0.9.20)
 Replaces: python-impacket (<< 0.9.20)
 Description: Python3 module to easily build and dissect network protocols

## impacket 0.9.22

=== requirements.txt ===
--- 
+++ 
@@ -6,3 +6,4 @@
 ldap3>=2.5,!=2.5.2,!=2.5.0,!=2.6
 ldapdomaindump>=0.9.0
 flask>=1.0
+pyreadline;sys_platform == 'win32'

=== debian/changelog ===
impacket (0.9.22-2) unstable; urgency=medium

  * Team upload.
  * Resolve CVE-2021-31800: Fix Path Traversal vulnerabilities by checking
    path prefix against incoming filename. (Closes: #988141)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 21 May 2021 13:02:37 -0400

impacket (0.9.22-1) unstable; urgency=medium

  * Team Upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sophie Brun ]
  * New upstream version 0.9.22
  * Bump debian/watch to version 4

  [ Emmanuel Arias ]
  * d/control: Bump debhelper-compat to 13 (from 12).
  * d/upstream: add metadata information.

  [ Raphaël Hertzog ]
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Raphaël Hertzog <raphael@offensive-security.com>  Tue, 24 Nov 2020 16:13:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: impacket
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Emmanuel Arias <emmanuelarias30@gmail.com>
 Section: python
 Priority: optional
-Vcs-Git: https://salsa.debian.org/python-team/modules/impacket.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/impacket
-Build-Depends: debhelper-compat (= 12),
+Vcs-Git: https://salsa.debian.org/python-team/packages/impacket.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/impacket
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-ldap,

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/impacket/impacket-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## impacket 0.9.24

=== requirements.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 future
 six
+chardet
 pyasn1>=0.2.3
 pycryptodomex
 pyOpenSSL>=0.16.2

=== debian/changelog ===
impacket (0.9.24-1) unstable; urgency=medium

  * Team upload.
  * debian/watch: use github tarball instead of pypi release because it
    contains the __pycache__ dirs and *.pyc files)
  * New upstream version 0.9.24
  * Update debian/copyright
  * Refresh patches and remove cve-2021-31800.patch merged upstream
  * Run tests during the build
  * Remove tests that require network access
  * Bump Standards-Version to 4.6.0 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 05 Nov 2021 10:07:07 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,18 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/impacket
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+	       python-is-python3,
                python3-all,
+	       python3-chardet,
                python3-ldap,
+               python3-ldap3,
+	       python3-ldapdomaindump,
                python3-openssl,
+	       python3-pcapy,
                python3-pycryptodome,
                python3-setuptools,
                python3-six,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/CoreSecurity/impacket
 Testsuite: autopkgtest-pkg-python

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,6 @@
 	dh_compress -X.py
 
 override_dh_auto_test:
-	# don't run dh_auto_test: it finds no test but it fails because it
-	# tries to import all modules, including the examples:
-	# ldapdomaindump is not in Debian yet
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	cd tests && PYTHONPATH=$(CURDIR) NO_REMOTE=True ./runall.sh
+endif

## impacket 0.10.0

=== requirements.txt ===
--- 
+++ 
@@ -8,3 +8,4 @@
 ldapdomaindump>=0.9.0
 flask>=1.0
 pyreadline;sys_platform == 'win32'
+dsinternals

=== debian/changelog ===
impacket (0.10.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 18:06:44 +0100

impacket (0.10.0-3) unstable; urgency=medium

  * Team upload.

  [ Arnaud Rebillout ]
  * Update upstream url
  * Import upstream fixes for python3-openssl >= 21.0.0
  * Import upstream fixes for Python 3.10 compatibility

  [ Michael Sprengel ]
  * Make package MultiArch

  [ Sophie Brun ]
  * Bump Standards-Version to 4.6.1 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 09 Sep 2022 11:29:02 +0200

impacket (0.10.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Contact, Security-Contact.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 May 2022 10:31:53 +0100

impacket (0.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.10.0
  * Refresh patches
  * Add build-dep python3-pytest and adapt debian/rules for pytest
  * Update debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 06 May 2022 09:56:14 +0200

=== debian/control ===
--- 
+++ 
@@ -13,17 +13,19 @@
                python3-ldap,
                python3-ldap3,
 	       python3-ldapdomaindump,
-               python3-openssl,
+               python3-openssl (>= 21.0.0),
 	       python3-pcapy,
                python3-pycryptodome,
+	       python3-pytest,
                python3-setuptools,
                python3-six,
-Standards-Version: 4.6.0
-Homepage: https://github.com/CoreSecurity/impacket
+Standards-Version: 4.6.1
+Homepage: https://github.com/SecureAuthCorp/impacket
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-impacket
 Architecture: all
+Multi-Arch: foreign
 # explicit dep on python3-pkg-resources until
 # https://github.com/SecureAuthCorp/impacket/issues/885 is fixed
 Depends: ${misc:Depends}, ${python3:Depends}, python3-pkg-resources

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# Common rules
export PYBUILD_NAME=impacket
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_TEST_ARGS=-m "not remote"

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	# Drop upstream installed files
	rm -rf debian/python*-impacket/usr/share/doc/impacket

# Don't compress .py file
override_dh_compress:
	dh_compress -X.py

## impacket 0.11.0

=== requirements.txt ===
future
six
charset_normalizer
pyasn1>=0.2.3
pycryptodomex
pyOpenSSL>=21.0.0
ldap3>=2.5,!=2.5.2,!=2.5.0,!=2.6
ldapdomaindump>=0.9.0
flask>=1.0
pyreadline;sys_platform == 'win32'
dsinternals

=== debian/changelog ===
impacket (0.11.0-2) unstable; urgency=medium

  * Team upload.
  * remove erroneous extraneous reference to 'future' from setup.py
    (Closes: #1058057)
  * add debian/.gitignore

 -- Alexandre Detiste <tchet@debian.org>  Mon, 01 Jan 2024 21:19:10 +0100

impacket (0.11.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.11.0
  * Update debian/copyright
  * Refresh patches
  * Remove old build-dep python3-chardet
  * Bump Standards-Version to 4.6.2 (no change required)

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 11 Aug 2023 09:58:10 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
                dh-python,
 	       python-is-python3,
                python3-all,
-	       python3-chardet,
                python3-ldap,
                python3-ldap3,
 	       python3-ldapdomaindump,
@@ -19,7 +18,7 @@
 	       python3-pytest,
                python3-setuptools,
                python3-six,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/SecureAuthCorp/impacket
 Testsuite: autopkgtest-pkg-python

## impacket 0.12.0

=== requirements.txt ===
setuptools
six
charset_normalizer
pyasn1>=0.2.3
pyasn1_modules
pycryptodomex
pyOpenSSL==24.0.0
ldap3>=2.5,!=2.5.2,!=2.5.0,!=2.6
ldapdomaindump>=0.9.0
flask>=1.0
pyreadline3;sys_platform == 'win32'

=== debian/changelog ===
impacket (0.12.0-2) unstable; urgency=medium

  * Team upload.
  * Drop unneeded B-D: python-is-python3, python3-ldapdomaindump,
    python3-pcapy.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 28 Sep 2024 12:47:06 +0500

impacket (0.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.12.0 (Closes: #1067093)
  * Use dh-sequence-python3
  * Set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Wed, 18 Sep 2024 13:50:58 +0200

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,16 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/impacket.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/impacket
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-	       python-is-python3,
+               dh-sequence-python3,
                python3-all,
                python3-ldap,
                python3-ldap3,
-	       python3-ldapdomaindump,
                python3-openssl (>= 21.0.0),
-	       python3-pcapy,
                python3-pycryptodome,
-	       python3-pytest,
+               python3-pytest,
                python3-setuptools,
                python3-six,
+Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://github.com/SecureAuthCorp/impacket
 Testsuite: autopkgtest-pkg-python

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export PYBUILD_TEST_ARGS=-m "not remote"
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_install:
 	dh_auto_install

## impacket 0.12.0+gite61ff5d

=== debian/changelog ===
impacket (0.12.0+gite61ff5d-0kali1) kali-experimental; urgency=medium

  * New upstream version 0.12.0+gite61ff5d
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 09 Apr 2025 14:26:20 +0200

impacket (0.12.0-3) unstable; urgency=medium

  * d/control: Update my contact information. Also in d/copyright file.
  * d/rules: Ignore tests/SMB_RPC/test_smbserver.py tests to avoid
    break build with Python3.13 (Closes: #1082142).

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 16 Nov 2024 20:11:10 -0300

## impacket 0.13.0

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 pyasn1>=0.2.3
 pyasn1_modules
 pycryptodomex
-pyOpenSSL==24.0.0
+pyOpenSSL
 ldap3>=2.5,!=2.5.2,!=2.5.0,!=2.6
 ldapdomaindump>=0.9.0
 flask>=1.0

=== debian/changelog ===
impacket (0.13.0-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * remove obsolete workaround. python3-pkg-resources is pulled in
  * remove the Breaks against the Buster Python2 package

  [ Emmanuel Arias ]
  * New upstream version.
  * Standards-Version: 4.7.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 31 Oct 2025 00:06:30 -0300

=== debian/control ===
Source: impacket
Standards-Version: 4.7.2
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Emmanuel Arias <eamanu@debian.org>,
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-ldap,
 python3-ldap3,
 python3-openssl,
 python3-pycryptodome,
 python3-pytest,
 python3-setuptools,
 python3-six,
Vcs-Browser: https://salsa.debian.org/python-team/packages/impacket
Vcs-Git: https://salsa.debian.org/python-team/packages/impacket.git
Homepage: https://github.com/SecureAuthCorp/impacket
Rules-Requires-Root: no

Package: python3-impacket
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python3 module to easily build and dissect network protocols
 Impacket  is a  collection  of Python3  classes  focused on  providing
 access  to network  packets.   Impacket allows  Python3 developers  to
 craft and decode network packets in simple and consistent manner.  It
 includes support for low-level protocols  such as IP, UDP and TCP, as
 well as higher-level protocols such as NMB and SMB.
 .
 Impacket is highly  effective when used in conjunction  with a packet
 capture utility or package such as Pcapy.  Packets can be constructed
 from  scratch, as  well as  parsed from  raw data.   Furthermore, the
 object  oriented API  makes  it  simple to  work  with deep  protocol
 hierarchies.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,8 @@
 # Common rules
 export PYBUILD_NAME=impacket
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export PYBUILD_TEST_ARGS=-m "not remote"
+# ignore tests/SMB_RPC/test_smbserver.py test until upstream fix py3.13 build.
+export PYBUILD_TEST_ARGS=-m "not remote" --ignore=tests/SMB_RPC/test_smbserver.py
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="uversionmangle=s%_%.%g" \
https://github.com/SecureAuthCorp/impacket/tags \
    (?:.*?/)?impacket_(\d.*)\.tar\.gz debian uupdate

## impacket 0.13.0+git20251114.8925c2c

=== debian/changelog ===
impacket (0.13.0+git20251114.8925c2c-0kali1) kali-dev; urgency=medium

  * New upstream version 0.13.0+git20251114.8925c2c
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Tue, 13 Jan 2026 16:35:37 +0100

impacket (0.13.0-2) unstable; urgency=medium

  * Team upload.
  * Remove run-time dependency on setuptools (closes: #1083436).

 -- Colin Watson <cjwatson@debian.org>  Thu, 08 Jan 2026 12:28:25 +0000

## impacket 0.13.0+git20251120-9c2d8b6

=== debian/changelog ===
impacket (0.13.0+git20251120-9c2d8b6-0kali1) kali-dev; urgency=medium

  * New upstream version 0.13.0+git20251120-9c2d8b6

 -- Sophie Brun <sophie@kali.org>  Thu, 05 Feb 2026 14:00:57 +0100
